**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/19.1/object-lifecycle-workflows/workflow-tasks/retrieve-object-workflow-tasks.md

# Retrieve Object Workflow Tasks



Retrieve available tasks across all single-object and multi-document workflows.

<Endpoint path="/api/{version}/objects/objectworkflows/tasks" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## Query Parameters {#query-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `object__v`, `record_id__v` | To retrieve all workflow tasks configured on an object, include the Vault object `name__v` and object record `id` field values as `object__v={name__v}&record_id__v={id}`. These two parameters are required when the `assignee__v` parameter is not used. |
| `assignee__v` | To retrieve all workflow tasks available to a particular user, include the user `id` field value as `assignee__v={id}`. To retrieve your own workflow tasks, set this value to `assignee__v=me()`. This parameter is required when the `object__v` and `record_id__v` parameters are not used. |
| `status__v` | To retrieve all workflow tasks with specific statuses, include one or more status `name__v` field values. For example: `status__v=available__v` or `status__v=available__v,completed__v`. |
| `offset` | This parameter is used to paginate the results. It specifies the amount of offset from the first record returned. Vault returns 200 records per page by default. If you are viewing the first 200 results (page 1) and want to see the next page, set this to `offset=201`. |
| `page_size` | This parameter is used to paginate the results. It specifies the size number of records to display per page. Vault returns 200 records per page by default. You can set this value lower or as high as 1000 records per page. For example: `page_size=1000`. |
| `loc` | When localized (translated) strings are available, retrieve them by including `loc=true`. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v14.0/objects/objectworkflows/tasks?object__v=product__v&record_id__v=00P07551

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "responseDetails": {
    "total": 1,
    "offset": 0,
    "page_size": 200,
    "object": {
      "name": "objectworkflow_tasks",
      "label": "Object Workflow Task",
      "url": "/api/v15.0/objects/objectworkflows/tasks?object__v=product__v&record_id__v=00P07551",
      "label_plural": "Object Workflow Tasks"
    }
  },
  "data": [
    {
      "id": 5885,
      "label__v": "Review",
      "status__v": [
        "assigned__v"
      ],
      "object__v": "product__v",
      "record_id__v": "00P07551",
      "instructions__v": "Review and provide feedback.",
      "assignee__v": "25524",
      "created_date__v": "2016-05-04T17:25:17.000Z",
      "assigned_date__v": "2016-05-04T17:25:17.000Z",
      "due_date__v": "2016-05-12T10:00:00.000Z",
      "workflow__v": "801"
    },
    {
      "id": 7201,
      "label__v": "Approve",
      "status__v": [
        "available__v"
      ],
      "object__v": "product__v",
      "record_id__v": "00P07551",
      "instructions__v": "Approve or reject.",
      "created_date__v": "2016-05-04T17:25:17.000Z",
      "workflow__v": "801"
    }
  ]
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the response lists all object workflow tasks matching the query parameters. Each task may include the following fields:

* `id` - The task ID.

* `label__v` - The task label as seen in the UI.

* `status__v` - The current status of the task.

* `object__v` - The name of the object using the task.

* `record_id__v` - The ID of the object record using the task.

* `instructions__v` - Instructions for completing the task.

* `assignee__v` - The ID of the user assigned the task. This is the task owner.

* `created_date__v` - The date and time when the task was created.

* `assigned_date__v` - The date and time when the task was assigned.

* `due_date__v` - The date and time when the task is due.

* `workflow__v` - The workflow ID in which the task is configured.



---

**Previous:** [Workflow Tasks](/quality/vault-api/api-reference/19.1/object-lifecycle-workflows/workflow-tasks)  
**Next:** [Retrieve Workflow Task Details](/quality/vault-api/api-reference/19.1/object-lifecycle-workflows/workflow-tasks/retrieve-workflow-task-details)